import { Disposable, IDisposable, IEventBus } from '@opensumi/ide-core-common';
import { IEditor, IEditorFeatureContribution } from '@opensumi/ide-editor/lib/browser';
import { LanguageParserFactory } from './languages/parser';
export declare class AIEditorContribution extends Disposable implements IEditorFeatureContribution {
    private readonly injector;
    private readonly aiNativeConfigService;
    private readonly aiInlineChatService;
    private readonly aiNativeService;
    private readonly loggerManagerClient;
    private readonly preferenceService;
    private readonly ctxMenuRenderer;
    private readonly inlineChatFeatureRegistry;
    private readonly aiReporter;
    private readonly contributions;
    private readonly aiInlineCompletionsProvider;
    private readonly renameSuggestionService;
    private aiCompletionsService;
    protected eventBus: IEventBus;
    protected languageParserFactory: LanguageParserFactory;
    private latestMiddlewareCollector;
    private logger;
    constructor();
    private aiDiffWidget;
    private aiInlineContentWidget;
    private aiInlineChatDisposed;
    private aiInlineChatOperationDisposed;
    private modelSessionDisposable;
    private disposeAllWidget;
    contribute(editor: IEditor): IDisposable;
    protected inlineChatInUsing: boolean;
    private showInlineChat;
    private runInlineChatAction;
    private handleDiffPreviewStrategy;
    private resetDiffEnvironment;
    private extractAnswerFromResponse;
    private formatAnswer;
    private visibleDiffWidget;
    private updateInlineContentWidgetPosition;
    private registerLanguageFeatures;
    dispose(): void;
}
//# sourceMappingURL=ai-editor.contribution.d.ts.map