"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StreamReplyRender = void 0;
const tslib_1 = require("tslib");
const React = tslib_1.__importStar(require("react"));
const ide_core_common_1 = require("@opensumi/ide-core-common");
const ChatMarkdown_1 = require("./ChatMarkdown");
const components_module_less_1 = tslib_1.__importDefault(require("./components.module.less"));
const StreamMsg_1 = require("./StreamMsg");
const utils_1 = require("./utils");
// 流式输出渲染组件
const StreamReplyRender = (prompt, params) => {
    const { aiChatService, relationId, renderContent } = params;
    const send = (isRetry = false) => {
        aiChatService.setLatestSessionId(relationId);
        aiChatService.messageWithStream(prompt, isRetry ? { enableGptCache: false } : {}, relationId);
    };
    send();
    return (0, utils_1.createMessageByAI)({
        id: (0, ide_core_common_1.uuid)(6),
        relationId,
        text: (React.createElement(StreamMsg_1.StreamMsgWrapper, { sessionId: relationId, prompt: prompt, onRegenerate: () => send(true), renderContent: (content, status) => renderContent ? renderContent(content, status) : React.createElement(ChatMarkdown_1.ChatMarkdown, { markdown: content, fillInIncompleteTokens: true }) })),
        className: components_module_less_1.default.chat_with_more_actions,
    });
};
exports.StreamReplyRender = StreamReplyRender;
//# sourceMappingURL=StreamReplyRender.js.map