import { AbstractLanguageFacts, IFunctionInfo } from './base';
import type { SyntaxNode } from 'web-tree-sitter';
/**
 * javascript 中表示代码块的节点类型
 */
export declare const javascriptBlockCodeTypes: string[];
export declare const functionBlockCodeTypes: string[];
export declare class JavaScriptLanguageFacts implements AbstractLanguageFacts {
    name: "javascript";
    listCommentStyle: string;
    blockCommentStyle: {
        start: string;
        end: string;
        linePrefix: string;
    };
    provideCodeBlocks(): Set<string>;
    provideFunctionCodeBlocks(): Set<string>;
    provideFunctionInfo(node: SyntaxNode): IFunctionInfo | null;
}
//# sourceMappingURL=javascript.d.ts.map